Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162447 - Eclipse throws CoreException when Open With -> Text Editor
Summary: Eclipse throws CoreException when Open With -> Text Editor
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: eclipse-bugs
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 163842
TreeView+ depends on / blocked
 
Reported: 2005-07-04 21:53 UTC by Axon
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-09 17:12:03 UTC


Attachments (Terms of Use)

Description Axon 2005-07-04 21:53:59 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
Opening a text file without a appropriate suffix (e.g. .txt) with the text editor.

Version-Release number of selected component (if applicable):
eclipse-platform-3.1.0_fc-0.M6.22

How reproducible:
Always

Steps to Reproduce:
1. Open project with text file without suffix (e.g. README)
2. Right click on file and select Open With -> Text Editor
3. Eclipse pauses and comes back with "Unable to create editor" error screen.
  

Actual Results:  throws the following exception:

org.eclipse.core.runtime.CoreException: Cannot create file buffer.
   at org.eclipse.core.internal.filebuffers.TextFileBufferManager.connect(org.eclipse.core.runtime.IPath, org.eclipse.core.runtime.IProgressMonitor) (/usr/lib/eclipse/plugins/org.eclipse.core.filebuffers_3.1.0/filebuffers.jar.so)
   at org.eclipse.ui.editors.text.TextFileDocumentProvider.createFileInfo(java.lang.Object) (/usr/lib/eclipse/plugins/org.eclipse.ui.editors_3.1.0/editors.jar.so)
   at org.eclipse.ui.editors.text.TextFileDocumentProvider.connect(java.lang.Object) (/usr/lib/eclipse/plugins/org.eclipse.ui.editors_3.1.0/editors.jar.so)
   at org.eclipse.ui.texteditor.AbstractTextEditor.doSetInput(org.eclipse.ui.IEditorInput) (/usr/lib/eclipse/plugins/org.eclipse.ui.workbench.texteditor_3.1.0/texteditor.jar.so)
   at org.eclipse.ui.texteditor.StatusTextEditor.doSetInput(org.eclipse.ui.IEditorInput) (/usr/lib/eclipse/plugins/org.eclipse.ui.workbench.texteditor_3.1.0/texteditor.jar.so)
   at org.eclipse.ui.texteditor.AbstractDecoratedTextEditor.doSetInput(org.eclipse.ui.IEditorInput) (/usr/lib/eclipse/plugins/org.eclipse.ui.editors_3.1.0/editors.jar.so)
   at org.eclipse.ui.editors.text.TextEditor.doSetInput(org.eclipse.ui.IEditorInput) (/usr/lib/eclipse/plugins/org.eclipse.ui.editors_3.1.0/editors.jar.so)
   at org.eclipse.ui.texteditor.AbstractTextEditor$16.run(org.eclipse.core.runtime.IProgressMonitor) (/usr/lib/eclipse/plugins/org.eclipse.ui.workbench.texteditor_3.1.0/texteditor.jar.so)
   at org.eclipse.jface.operation.ModalContext.runInCurrentThread(org.eclipse.jface.operation.IRunnableWithProgress, org.eclipse.core.runtime.IProgressMonitor) (/usr/lib/eclipse/plugins/org.eclipse.jface_3.1.0.jar.so)
   at org.eclipse.jface.operation.ModalContext.run(org.eclipse.jface.operation.IRunnableWithProgress, boolean, org.eclipse.core.runtime.IProgressMonitor, org.eclipse.swt.widgets.Display) (/usr/lib/eclipse/plugins/org.eclipse.jface_3.1.0.jar.so)
   at org.eclipse.jface.window.ApplicationWindow$1.run() (/usr/lib/eclipse/plugins/org.eclipse.jface_3.1.0.jar.so)
   at org.eclipse.swt.custom.BusyIndicator.showWhile(org.eclipse.swt.widgets.Display, java.lang.Runnable) (/usr/lib/eclipse/plugins/org.eclipse.swt.gtk_3.1.0.jar.so)
   at org.eclipse.jface.window.ApplicationWindow.run(boolean, boolean, org.eclipse.jface.operation.IRunnableWithProgress) (/usr/lib/eclipse/plugins/org.eclipse.jface_3.1.0.jar.so)
   at org.eclipse.ui.internal.WorkbenchWindow.run(boolean, boolean, org.eclipse.jface.operation.IRunnableWithProgress) (Unknown Source)
   at org.eclipse.ui.texteditor.AbstractTextEditor.internalInit(org.eclipse.ui.IWorkbenchWindow, org.eclipse.ui.IEditorSite, org.eclipse.ui.IEditorInput) (/usr/lib/eclipse/plugins/org.eclipse.ui.workbench.texteditor_3.1.0/texteditor.jar.so)
   at org.eclipse.ui.texteditor.AbstractTextEditor.init(org.eclipse.ui.IEditorSite, org.eclipse.ui.IEditorInput) (/usr/lib/eclipse/plugins/org.eclipse.ui.workbench.texteditor_3.1.0/texteditor.jar.so)
   at org.eclipse.ui.internal.EditorManager.createSite(org.eclipse.ui.IEditorReference, org.eclipse.ui.IEditorPart, org.eclipse.ui.internal.registry.EditorDescriptor, org.eclipse.ui.IEditorInput) (Unknown Source)
   at org.eclipse.ui.internal.EditorManager.busyRestoreEditorHelper(org.eclipse.ui.internal.EditorManager$Editor) (Unknown Source)
   at org.eclipse.ui.internal.EditorManager.busyRestoreEditor(org.eclipse.ui.internal.EditorManager$Editor) (Unknown Source)
   at org.eclipse.ui.internal.EditorManager$7.run() (Unknown Source)
   at org.eclipse.swt.custom.BusyIndicator.showWhile(org.eclipse.swt.widgets.Display, java.lang.Runnable) (/usr/lib/eclipse/plugins/org.eclipse.swt.gtk_3.1.0.jar.so)
   at org.eclipse.ui.internal.EditorManager.restoreEditor(org.eclipse.ui.internal.EditorManager$Editor) (Unknown Source)
   at org.eclipse.ui.internal.EditorManager$Editor.getEditor(boolean) (Unknown Source)
   at org.eclipse.ui.internal.EditorManager$Editor.getPart(boolean) (Unknown Source)
   at org.eclipse.ui.internal.PartPane.setVisible(boolean) (Unknown Source)
   at org.eclipse.ui.internal.presentations.PresentablePart.setVisible(boolean) (Unknown Source)
   at org.eclipse.ui.internal.presentations.newapi.PresentablePartFolder.select(org.eclipse.ui.presentations.IPresentablePart) (Unknown Source)
   at org.eclipse.ui.internal.presentations.newapi.LeftToRightTabOrder.select(org.eclipse.ui.presentations.IPresentablePart) (Unknown Source)
   at org.eclipse.ui.internal.presentations.newapi.TabbedStackPresentation.selectPart(org.eclipse.ui.presentations.IPresentablePart) (Unknown Source)
   at org.eclipse.ui.internal.PartStack.refreshPresentationSelection() (Unknown Source)
   at org.eclipse.ui.internal.PartStack.setSelection(org.eclipse.ui.internal.LayoutPart) (Unknown Source)
   at org.eclipse.ui.internal.PartStack.showPart(org.eclipse.ui.internal.LayoutPart, java.lang.Object) (Unknown Source)
   at org.eclipse.ui.internal.PartStack.add(org.eclipse.ui.internal.LayoutPart) (Unknown Source)
   at org.eclipse.ui.internal.EditorStack.add(org.eclipse.ui.internal.LayoutPart) (Unknown Source)
   at org.eclipse.ui.internal.EditorSashContainer.addEditor(org.eclipse.ui.internal.EditorPane) (Unknown Source)
   at org.eclipse.ui.internal.EditorAreaHelper.addToLayout(org.eclipse.ui.internal.EditorPane) (Unknown Source)
   at org.eclipse.ui.internal.EditorManager$4.run() (Unknown Source)
   at org.eclipse.swt.custom.BusyIndicator.showWhile(org.eclipse.swt.widgets.Display, java.lang.Runnable) (/usr/lib/eclipse/plugins/org.eclipse.swt.gtk_3.1.0.jar.so)


Expected Results:  Should open file in text editor.

Additional info:

Comment 1 Tom Tromey 2005-09-09 17:12:03 UTC
This works for a wide variety of extensionless files for me,
with rawhide eclipse (eclipse-platform-3.1.0_fc-6)



Note You need to log in before you can comment on or make changes to this bug.